Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.javaee6
Interface PersistenceContextRefType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  PersistenceContextRefTypeImpl

    public interface PersistenceContextRefType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `persistence-context-refType` xsd type

Original Documentation:

[
The persistence-context-ref element contains a declaration
of Deployment Component's reference to a persistence context
associated within a Deployment Component's
environment. It consists of:
- an optional description
- the persistence context reference name
- an optional persistence unit name. If not specified,
the default persistence unit is assumed.
- an optional specification as to whether
the persistence context type is Transaction or
Extended. If not specified, Transaction is assumed.
- an optional list of persistence properties
- optional injection targets
Examples:
myPersistenceContext
myPersistenceContext
PersistenceUnit1
Extended

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<InjectionTargetType<PersistenceContextRefType<T>>>` | `getInjectionTargetList()` Returns all `injection-target` elements
`java.lang.String` | `getMappedName()` Returns the `mapped-name` element
`java.lang.String` | `getPersistenceContextRefName()` Returns the `persistence-context-ref-name` element
`PersistenceContextTypeType` | `getPersistenceContextType()` Returns the `persistence-context-type` element
`java.lang.String` | `getPersistenceContextTypeAsString()` Returns the `persistence-context-type` element
`java.util.List<PropertyType<PersistenceContextRefType<T>>>` | `getPersistencePropertyList()` Returns all `persistence-property` elements
`java.lang.String` | `getPersistenceUnitName()` Returns the `persistence-unit-name` element
`InjectionTargetType<PersistenceContextRefType<T>>` | `injectionTarget()` Returns the `injection-target` element
`PropertyType<PersistenceContextRefType<T>>` | `persistenceProperty()` Returns the `persistence-property` element
`PersistenceContextRefType<T>` | `removeAllDescription()` Removes the `description` element
`PersistenceContextRefType<T>` | `removeAllInjectionTarget()` Removes all `injection-target` elements
`PersistenceContextRefType<T>` | `removeAllPersistenceProperty()` Removes all `persistence-property` elements
`PersistenceContextRefType<T>` | `removeMappedName()` Removes the `mapped-name` element
`PersistenceContextRefType<T>` | `removePersistenceContextRefName()` Removes the `persistence-context-ref-name` element
`PersistenceContextRefType<T>` | `removePersistenceUnitName()` Removes the `persistence-unit-name` element
`PersistenceContextRefType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`PersistenceContextRefType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`PersistenceContextRefType<T>` | `setMappedName(java.lang.String mappedName)` If not already created, a new `mapped-name` element with the given value will be created.
`PersistenceContextRefType<T>` | `setPersistenceContextRefName(java.lang.String persistenceContextRefName)` If not already created, a new `persistence-context-ref-name` element with the given value will be created.
`PersistenceContextRefType<T>` | `setPersistenceContextType(PersistenceContextTypeType persistenceContextType)` If not already created, a new `persistence-context-type` element with the given value will be created.
`PersistenceContextRefType<T>` | `setPersistenceContextType(java.lang.String persistenceContextType)` If not already created, a new `persistence-context-type` element with the given value will be created.
`PersistenceContextRefType<T>` | `setPersistenceUnitName(java.lang.String persistenceUnitName)` If not already created, a new `persistence-unit-name` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setMappedName

    PersistenceContextRefType<T> setMappedName(java.lang.String mappedName)

  If not already created, a new `mapped-name` element with the given value will be created. Otherwise, the existing `mapped-name` element will be updated with the given value.

  Returns:
    the current instance of `PersistenceContextRefType`

### removeMappedName

    PersistenceContextRefType<T> removeMappedName()

  Removes the `mapped-name` element

  Returns:
    the current instance of `PersistenceContextRefType`

### getMappedName

    java.lang.String getMappedName()

  Returns the `mapped-name` element

  Returns:
    the node defined for the element `mapped-name`

### removeAllInjectionTarget

    PersistenceContextRefType<T> removeAllInjectionTarget()

  Removes all `injection-target` elements

  Returns:
    the current instance of `PersistenceContextRefType`

### injectionTarget

    InjectionTargetType<PersistenceContextRefType<T>> injectionTarget()

  Returns the `injection-target` element

  Returns:
    the node defined for the element `injection-target`

### getInjectionTargetList

    java.util.List<InjectionTargetType<PersistenceContextRefType<T>>> getInjectionTargetList()

  Returns all `injection-target` elements

  Returns:
    list of `injection-target`

### setDescription

    PersistenceContextRefType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `PersistenceContextRefType`

### setDescriptionList

    PersistenceContextRefType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `PersistenceContextRefType`

### removeAllDescription

    PersistenceContextRefType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `PersistenceContextRefType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setPersistenceContextRefName

    PersistenceContextRefType<T> setPersistenceContextRefName(java.lang.String persistenceContextRefName)

  If not already created, a new `persistence-context-ref-name` element with the given value will be created. Otherwise, the existing `persistence-context-ref-name` element will be updated with the given value.

  Returns:
    the current instance of `PersistenceContextRefType`

### removePersistenceContextRefName

    PersistenceContextRefType<T> removePersistenceContextRefName()

  Removes the `persistence-context-ref-name` element

  Returns:
    the current instance of `PersistenceContextRefType`

### getPersistenceContextRefName

    java.lang.String getPersistenceContextRefName()

  Returns the `persistence-context-ref-name` element

  Returns:
    the node defined for the element `persistence-context-ref-name`

### setPersistenceUnitName

    PersistenceContextRefType<T> setPersistenceUnitName(java.lang.String persistenceUnitName)

  If not already created, a new `persistence-unit-name` element with the given value will be created. Otherwise, the existing `persistence-unit-name` element will be updated with the given value.

  Returns:
    the current instance of `PersistenceContextRefType`

### removePersistenceUnitName

    PersistenceContextRefType<T> removePersistenceUnitName()

  Removes the `persistence-unit-name` element

  Returns:
    the current instance of `PersistenceContextRefType`

### getPersistenceUnitName

    java.lang.String getPersistenceUnitName()

  Returns the `persistence-unit-name` element

  Returns:
    the node defined for the element `persistence-unit-name`

### setPersistenceContextType

    PersistenceContextRefType<T> setPersistenceContextType(PersistenceContextTypeType persistenceContextType)

  If not already created, a new `persistence-context-type` element with the given value will be created. Otherwise, the existing `persistence-context-type` element will be updated with the given value.

  Returns:
    the current instance of `PersistenceContextRefType`

### setPersistenceContextType

    PersistenceContextRefType<T> setPersistenceContextType(java.lang.String persistenceContextType)

  If not already created, a new `persistence-context-type` element with the given value will be created. Otherwise, the existing `persistence-context-type` element will be updated with the given value.

  Returns:
    the current instance of `PersistenceContextRefType`

### getPersistenceContextType

    PersistenceContextTypeType getPersistenceContextType()

  Returns the `persistence-context-type` element

  Returns:
    the node defined for the element `persistence-context-type`

### getPersistenceContextTypeAsString

    java.lang.String getPersistenceContextTypeAsString()

  Returns the `persistence-context-type` element

  Returns:
    the node defined for the element `persistence-context-type`

### removeAllPersistenceProperty

    PersistenceContextRefType<T> removeAllPersistenceProperty()

  Removes all `persistence-property` elements

  Returns:
    the current instance of `PersistenceContextRefType`

### persistenceProperty

    PropertyType<PersistenceContextRefType<T>> persistenceProperty()

  Returns the `persistence-property` element

  Returns:
    the node defined for the element `persistence-property`

### getPersistencePropertyList

    java.util.List<PropertyType<PersistenceContextRefType<T>>> getPersistencePropertyList()

  Returns all `persistence-property` elements

  Returns:
    list of `persistence-property`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD